package me.zacharias.compadability.register;

import mekanism.common.item.ItemModule;
import mekanism.common.registration.impl.ItemDeferredRegister;
import mekanism.common.registration.impl.ItemRegistryObject;
import net.minecraft.world.item.Rarity;
import net.neoforged.bus.api.IEventBus;
import net.neoforged.fml.common.Mod;
import net.neoforged.neoforge.registries.DeferredRegister;

import static me.zacharias.compadability.Compadability.MODID;

public class Items {
    public static final ItemDeferredRegister ITEMS = new ItemDeferredRegister(MODID);
    public static final ItemRegistryObject<ItemModule> CLIMATE_CONTROL_UNIT =
            ITEMS.registerModule(Modules.CLIMATE_CONTROL_UNIT, Rarity.UNCOMMON);
    public static final ItemRegistryObject<ItemModule> WATER_PURIFIED_DRINKING_UNIT =
            ITEMS.registerModule(Modules.WATER_PURIFIED_DRINKING_UNIT, Rarity.UNCOMMON);

    public static void register(IEventBus bus){
        ITEMS.register(bus);
    }
}
